local module = DMod:new("sleeve_selector", {
	name = "Sleeve selector",
	author = "_atom",
	version = "1.3",
	includes = {
		{ "mod_localization", { type = "localization" } },
		{ "mod_options", { type = "menu_options" } },
	},
})

rawset(_G, "sleeve_selector_data", {})

module:hook_post_require("lib/setups/gamesetup", "lua/gamesetup")
module:hook_post_require("lib/managers/playermanager", "lua/playermanager")
module:hook_post_require("lib/units/beings/player/playercamera", "lua/playercamera")
module:hook_post_require("lib/units/beings/player/playermovement", "lua/playermovement")

for _, package in pairs({
	"packages/level_bank",
	"packages/level_slaughterhouse",
	"packages/level_suburbia",
	"packages/level_bridge",
}) do
	if PackageManager:loaded(package) then
		PackageManager:unload(package)
	end
end

return module
