local module = ... or D:module("sleeve_selector")

local GameSetup = module:hook_class("GameSetup")
module:post_hook(50, GameSetup, "init_finalize", function(self)
	local selected_suit = managers.player.selected_suit or "default"

	if selected_suit == "default" then
		return
	end

	local packages = {
		suit = "packages/level_bank",
		cat_suit = "packages/level_slaughterhouse",
		suburbia = "packages/level_suburbia",
		raincoat = "packages/level_bridge",
	}

	local selected_package = packages[selected_suit] or packages["suit"]
	if not PackageManager:loaded(selected_package) then
		PackageManager:load(selected_package)
	end
end)
