local module = ... or D:module("sleeve_selector")

local PlayerCamera = module:hook_class("PlayerCamera")
module:hook(50, PlayerCamera, "spawn_camera_unit", function(self)
	local unit_folder = managers.player.selected_suit or "suit"
	if unit_folder == "default" then
		module:call_orig(PlayerCamera, "spawn_camera_unit", self)
		return
	end

	self._camera_unit = World:spawn_unit(
		Idstring("units/characters/fps/" .. unit_folder .. "/fps_hand"),
		self._m_cam_pos,
		self._m_cam_rot
	)

	self._machine = self._camera_unit:anim_state_machine()
	self._unit:link(self._camera_unit)
	self._camera_unit:base():set_parent_unit(self._unit)
	self._camera_unit:base():reset_properties()
	self._camera_unit:base():set_stance_instant("standard")
end)
